--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: In NZ DPS supports ANZ, Westpac, National Bank, ASB and BNZ. In Australia DPS supports ANZ, NAB, Westpac, CBA, St George and Bank of South Australia. The Maybank in Malaysia is supported and the Citibank for Singapore.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://www.paymentexpress.com/pxpost.aspx'"
- !ruby/object:RI::Constant 
  comment: 
  name: APPROVED
  value: "'1'"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :purchase       => 'Purchase',         :credit         => 'Refund',         :authorization  => 'Auth',         :capture        => 'Complete',         :validate       => 'Validate'"
full_name: ActiveMerchant::Billing::PaymentExpressGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: store
name: PaymentExpressGateway
superclass: Gateway
